#pragma once

#include "OptionsDialog.h"

class CMFC_SHIFT_F1_HelpDlg : public CDialog
{
// Constructor(s) and destructor (constructors).
public:
	CMFC_SHIFT_F1_HelpDlg(CWnd* pParent = NULL);	

// Access member variables (attributes).
public:
	CMenu m_Menu;
    HICON m_hIcon;

// Access member functions (operations).
public:
// None.   

// Dialog data.
public:
	enum { IDD = IDD_MFC_SHIFT_F1_HELP_DIALOG };

// Polymorphic member functions (overrides). 
protected:
	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);

// Message handlers.
public:
	afx_msg void OnPaint();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnToolsOptions();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnContextMenu(CWnd* /*pWnd*/, CPoint /*point*/);
	BOOL OnF1Help(short nDialogID, HELPINFO* pHelpInfo);
	afx_msg void OnHelpAbout();
	DECLARE_MESSAGE_MAP()

// Utility member variables (implementation variables).
private:
    COptionsDialog m_dlgOptions;

// Utility member functions (implementation methods).
private:
// None.
};
